SizeTieredCompactionStrategyOptions (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db.compaction

## Class SizeTieredCompactionStrategyOptions

- java.lang.Object
- - org.apache.cassandra.db.compaction.SizeTieredCompactionStrategyOptions

-     public final class SizeTieredCompactionStrategyOptions
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `BUCKET_HIGH_KEY`
    `protected static java.lang.String` | `BUCKET_LOW_KEY`
    `protected double` | `bucketHigh`
    `protected double` | `bucketLow`
    `protected static java.lang.String` | `COLD_READS_TO_OMIT_KEY`
    `protected double` | `coldReadsToOmit`
    `protected static double` | `DEFAULT_BUCKET_HIGH`
    `protected static double` | `DEFAULT_BUCKET_LOW`
    `protected static double` | `DEFAULT_COLD_READS_TO_OMIT`
    `protected static long` | `DEFAULT_MIN_SSTABLE_SIZE`
    `protected static java.lang.String` | `MIN_SSTABLE_SIZE_KEY`
    `protected long` | `minSSTableSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SizeTieredCompactionStrategyOptions()`
    `SizeTieredCompactionStrategyOptions(java.util.Map<java.lang.String,java.lang.String> options)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Map<java.lang.String,java.lang.String>` | `validateOptions(java.util.Map<java.lang.String,java.lang.String> options, java.util.Map<java.lang.String,java.lang.String> uncheckedOptions)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MIN_SSTABLE_SIZE

          protected static final long DEFAULT_MIN_SSTABLE_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_BUCKET_LOW

          protected static final double DEFAULT_BUCKET_LOW

      See Also:
        Constant Field Values

    - #### DEFAULT_BUCKET_HIGH

          protected static final double DEFAULT_BUCKET_HIGH

      See Also:
        Constant Field Values

    - #### DEFAULT_COLD_READS_TO_OMIT

          protected static final double DEFAULT_COLD_READS_TO_OMIT

      See Also:
        Constant Field Values

    - #### MIN_SSTABLE_SIZE_KEY

          protected static final java.lang.String MIN_SSTABLE_SIZE_KEY

      See Also:
        Constant Field Values

    - #### BUCKET_LOW_KEY

          protected static final java.lang.String BUCKET_LOW_KEY

      See Also:
        Constant Field Values

    - #### BUCKET_HIGH_KEY

          protected static final java.lang.String BUCKET_HIGH_KEY

      See Also:
        Constant Field Values

    - #### COLD_READS_TO_OMIT_KEY

          protected static final java.lang.String COLD_READS_TO_OMIT_KEY

      See Also:
        Constant Field Values

    - #### minSSTableSize

          protected long minSSTableSize

    - #### bucketLow

          protected double bucketLow

    - #### bucketHigh

          protected double bucketHigh

    - #### coldReadsToOmit

          protected double coldReadsToOmit

  - ### Constructor Detail

    - #### SizeTieredCompactionStrategyOptions

          public SizeTieredCompactionStrategyOptions(java.util.Map<java.lang.String,java.lang.String> options)

    - #### SizeTieredCompactionStrategyOptions

          public SizeTieredCompactionStrategyOptions()

  - ### Method Detail

    - #### validateOptions

          public static java.util.Map<java.lang.String,java.lang.String> validateOptions(java.util.Map<java.lang.String,java.lang.String> options,
                                                                         java.util.Map<java.lang.String,java.lang.String> uncheckedOptions)
                                                                                  throws ConfigurationException

      Throws:
        `ConfigurationException`

Copyright © 2014 The Apache Software Foundation